Bug 813600 - RFE: Include a reference to the created book in the BZ URL
RFE: Include a reference to the created book in the BZ URL
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 22:09 EDT by Lee Newson
Modified: 2013-06-06 21:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.23.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:30:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2012-04-17 22:09:01 EDT
Since you can't have a component for each book created, the bugzilla link should populate a field to specify which book the bug belongs to.

IRC Log:
<misha> the link i use is:
<misha> BZURL=<ulink url='https://bugzilla.redhat.com/enter_bug.cgi?product=JBoss&percnt;20Data&percnt;20Grid&percnt;206&amp;component=Documentation&amp;5.2=&amp;short_desc=Developer_Guide '>Report a bug for this book.</ulink>">
<misha> So the bug has "GUIDE_NAME" for each guide rather than a different BZ component for each book
<misha> did that make sense?
<lnewson> yeah i know jwulf or someone asked about adding that to the link by default
<jwulf> would adding:
<jwulf> BZDESC
<jwulf> do it?
<lnewson> Really it should just include the name of the Book in the bug somewhere
<jwulf> so you set BZPRODUCT and BZCOMPONENT to JBoss Data Grid and Documentation
<jwulf> and BZDESC to "Guide = Guide Name"
<misha> jwulf, makes sense. 
<misha> if we have multiple guide generated by the csp, it makes sense to add the guide name in the generic BZ link
<jwulf> i did ask for more control over BZURL
<lnewson> jwulf, i disagree it should be based on the TITLE element
<lnewson> and just added into the link like misha posted
<lnewson> but in the background
<jwulf> so automatically put the title into the BZ data?
<jwulf> like topicID is injected atm?
<lnewson> yes
<jwulf> makes sense
<jwulf> what about this use case:
<jwulf> two versions of the same book
<jwulf> one published on the internal stage for review
<jwulf> one published externally 
<jwulf> how do you tell which version of the book the bug was logged against?
<lnewson> well i'd say it should be version and title probably
<jwulf> maybe version, edition, and title?
<misha> BOOKNAME-EDITION?
<lnewson> same situation as https://bugzilla.redhat.com/show_bug.cgi?id=807500
<jwulf> lnewson, is there anyway you could put some javascript or something into the URL to insert the current doc URL?
<jwulf> Title + Version + Edition + this.URL
<jwulf> would be perfectly clear
Comment 1 Lee Newson 2012-04-18 21:48:03 EDT
Added in 0.23.2

I've added the book Title, Version and Edition to the Bugzilla Generated URL. They are populated into the Environment Variables field in bugzilla.
Comment 2 Lee Newson 2012-05-09 21:19:53 EDT
Moving this to ON_QA as this should cover any use cases.
Comment 3 Lee Newson 2013-06-06 21:30:09 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.